Package Details: euca2ools 3.2.2-1

Git Clone URL: https://aur.archlinux.org/euca2ools.git (read-only)
Package Base: euca2ools
Description: Command-line tools for interacting with Amazon EC2 and S3 API-compatible Web services using the REST/Query API.
Upstream URL: http://www.eucalyptus.com
Licenses: custom
Submitter: phects
Maintainer: MarcinWieczorek
Last Packager: MarcinWieczorek
Votes: 6
Popularity: 0.000020
First Submitted: 2010-09-02 12:33
Last Updated: 2016-05-30 11:03

Latest Comments

thanos commented on 2015-05-12 11:33

If you have problem with the gpg keys please look at these links:
https://wiki.archlinux.org/index.php/Makepkg#Signature_checking
http://allanmcrae.com/2015/01/two-pgp-keyrings-for-package-management-in-arch-linux/

or use these commands to verify it yourself:

gpg --keyserver pgp.mit.edu --recv-keys BE264D09C1240596
gpg --fingerprint BE264D09C1240596

Helion Eucalyptus Security Keys: https://www.eucalyptus.com/resources/security/keys

SuperBo commented on 2015-05-04 02:39

euca2ools 3.2 is released.
https://www.eucalyptus.com/download/euca2ools

thanos commented on 2014-10-21 21:42

Update:
New version 3.1.1
Updated PKGBUILD

Release notes:
https://www.eucalyptus.com/docs/eucalyptus/4.0.2/index.html#euca2ools-release-notes/rn_index_3.1.1.html

phects commented on 2014-10-21 19:44

Okay, cool! I just disowned it.

thanos commented on 2014-10-21 13:48

I don't think it's necessary to have two packages.
No problem, i can maintain it.

phects commented on 2014-10-21 08:56

So we would need two packages? Do you want to adopt this PKGBUILD? I currently do not use it.

thanos commented on 2014-10-21 08:51

3.1.1 is out!
https://github.com/eucalyptus/euca2ools/releases

Eucalyptus maintains two releases (3.1.x and 3.0.x )for euca2ools, depending on the version of cloud.
https://www.eucalyptus.com/download/euca2ools

phects commented on 2014-04-01 09:54

I uploaded the updated PKGBUILD, thanks thanos!

thanos commented on 2014-03-26 11:13

PKGBUILD for 3.0.2 http://pastebin.com/2Wv2a9km

matmo commented on 2014-01-02 18:08

3.0.2 is out!

thanos commented on 2012-10-18 07:27

And also python-m2crypto to python2-m2crypto

dgbaley27 commented on 2012-10-16 16:51

Please change dep to python2-boto

ahamilton55 commented on 2012-08-29 22:12

Hi,

There's a new point release for euca2ools. 2.1.1.

Andrew

ahamilton55 commented on 2012-07-11 05:47

Hi,

There's a new version of euca2ools out (2.1). The download location has changed as well. I've created a PKGBUILD file for it and it can be found here: https://gist.github.com/3088212

Andrew

phects commented on 2011-12-05 12:33

Thanks very much for your help! I uploaded the euca2ools-1.3.1-5 package, which includes your fixes.

ahamilton55 commented on 2011-12-05 04:22

To fix the configuration of euca-upload-bundle, euca-download-bundle and euca-delete-bundle in the PKGBUILD script made the following addition after "Changing the shebang lines sed script":

# Edit the connections module name as they should be lowercase
# in euca-upload-bundle and euca-delete-bundle
sed -i "s/from boto.s3 import Connection/from boto.s3 import connection/" \
$srcdir/$pkgname-$pkgver/bin/euca-upload-bundle

sed -i "s/from boto.s3 import Connection/from boto.s3 import connection/" \
$srcdir/$pkgname-$pkgver/bin/euca-delete-bundle

sed -i "s/from boto.s3 import Connection/from boto.s3 import connection/" \
$srcdir/$pkgname-$pkgver/bin/euca-download-bundle

This will add the correct import with boto 2.0-1 so the errors reported below go away.

Now to make the euca-upload-bundle, euca-download-bundle and euca-delete-bundle actually work there is another edit that needs to be made. This needs to be made to the __init__.py which eventually resides in /usr/lib/python2.7/site-packages/euca2ools/. I'm not sure if this should be fixed in boto but I work for Eucalyptus so I'll talk to the maintainer of euca2ools.

# Edit the euca2ools module to correctly connect
sed -i "s/return boto.s3.Connection(/return boto.s3.connection.S3Connection(/" \
$srcdir/$pkgname-$pkgver/$pkgname/$pkgname/__init__.py

I can send you the PKGBUILD file that I created to make this work as well.

javsalgar commented on 2011-07-01 10:26

When I run yaourt to install the pakage, I get the following:

Traceback (most recent call last):
File "bin/euca-upload-bundle", line 43, in <module>
from boto.s3 import Connection
ImportError: cannot import name Connection
help2man: can't get `--help' info from bin/euca-upload-bundle
Try `--no-discard-stderr' if option outputs to stderr
Traceback (most recent call last):
File "bin/euca-delete-bundle", line 43, in <module>
from boto.s3 import Connection
ImportError: cannot import name Connection
help2man: can't get `--help' info from bin/euca-delete-bundle
Try `--no-discard-stderr' if option outputs to stderr
Traceback (most recent call last):
File "bin/euca-download-bundle", line 43, in <module>
from boto.s3 import Connection
ImportError: cannot import name Connection
help2man: can't get `--help' info from bin/euca-download-bundle
Try `--no-discard-stderr' if option outputs to stderr
make: *** [man] Error 1

Anonymous comment on 2011-06-15 20:22

euca2ools 1.3.1 requires python-boto 1.9, but the version in community is 2.0. This becomes relevant for commands like euca-upload-bundle, which will fail with the newer version of boto.

phects commented on 2010-12-20 14:57

Oh, sorry. Apparently I forgot to upload the .src.tar.gz

Anonymous comment on 2010-12-17 14:20

PKBUILD is outdated. The package should point to python2.7.

phects commented on 2010-12-04 16:03

Thanks for your notification!

lrm commented on 2010-12-03 14:46

Needs to depend on python2 and update shebangs appropriately in the various scripts.